# Class WindowTaskBarComponent

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:22

#####
Index

### Constructors

constructor

### Properties

cdr
subscriptions
windowService

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new WindowTaskBarComponent(windowService, cdr): WindowTaskBarComponent

- #### Parameters

  - windowService: WindowService
  - cdr: ChangeDetectorRef

  #### Returns WindowTaskBarComponent

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:26

## Properties

### cdr

cdr: ChangeDetectorRef

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:28

### subscriptions

subscriptions: Subscription = ...

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:24

### windowService

windowService: WindowService

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:27

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:38

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:32